Copy Sub-Pixel
Image Copy Operations

Functions for copying linearly interpolated images using source image subpixel coordinates. More...

## Functions

NppStatus | nppiCopySubpix_8u_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy, NppStreamContext nppStreamCtx)
| 1 channel 8-bit unsigned integer linearly interpolated source image subpixel coordinate color copy. More...
NppStatus | nppiCopySubpix_8u_C1R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy)
NppStatus | nppiCopySubpix_8u_C3R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned integer linearly interpolated source image subpixel coordinate color copy. More...
NppStatus | nppiCopySubpix_8u_C3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy)
NppStatus | nppiCopySubpix_8u_C4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy, NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned integer linearly interpolated source image subpixel coordinate color copy. More...
NppStatus | nppiCopySubpix_8u_C4R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy)
NppStatus | nppiCopySubpix_8u_AC4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy, NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned integer linearly interpolated source image subpixel coordinate color copy with alpha channel unaffected. More...
NppStatus | nppiCopySubpix_8u_AC4R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy)
NppStatus | nppiCopySubpix_16u_C1R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy, NppStreamContext nppStreamCtx)
| 1 channel 16-bit unsigned integer linearly interpolated source image subpixel coordinate color copy. More...
NppStatus | nppiCopySubpix_16u_C1R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy)
NppStatus | nppiCopySubpix_16u_C3R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy, NppStreamContext nppStreamCtx)
| 3 channel 16-bit unsigned integer linearly interpolated source image subpixel coordinate color copy. More...
NppStatus | nppiCopySubpix_16u_C3R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy)
NppStatus | nppiCopySubpix_16u_C4R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy, NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned integer linearly interpolated source image subpixel coordinate color copy. More...
NppStatus | nppiCopySubpix_16u_C4R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy)
NppStatus | nppiCopySubpix_16u_AC4R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy, NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned linearly interpolated source image subpixel coordinate color copy with alpha channel unaffected. More...
NppStatus | nppiCopySubpix_16u_AC4R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy)
NppStatus | nppiCopySubpix_16s_C1R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy, NppStreamContext nppStreamCtx)
| 1 channel 16-bit signed integer linearly interpolated source image subpixel coordinate color copy. More...
NppStatus | nppiCopySubpix_16s_C1R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy)
NppStatus | nppiCopySubpix_16s_C3R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy, NppStreamContext nppStreamCtx)
| 3 channel 16-bit signed integer linearly interpolated source image subpixel coordinate color copy. More...
NppStatus | nppiCopySubpix_16s_C3R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy)
NppStatus | nppiCopySubpix_16s_C4R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy, NppStreamContext nppStreamCtx)
| 4 channel 16-bit signed integer linearly interpolated source image subpixel coordinate color copy. More...
NppStatus | nppiCopySubpix_16s_C4R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy)
NppStatus | nppiCopySubpix_16s_AC4R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy, NppStreamContext nppStreamCtx)
| 4 channel 16-bit signed integer linearly interpolated source image subpixel coordinate color copy with alpha channel unaffected. More...
NppStatus | nppiCopySubpix_16s_AC4R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy)
NppStatus | nppiCopySubpix_32s_C1R_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy, NppStreamContext nppStreamCtx)
| 1 channel 32-bit signed integer linearly interpolated source image subpixel coordinate color copy. More...
NppStatus | nppiCopySubpix_32s_C1R (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy)
NppStatus | nppiCopySubpix_32s_C3R_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy, NppStreamContext nppStreamCtx)
| 3 channel 32-bit signed linearly interpolated source image subpixel coordinate color copy. More...
NppStatus | nppiCopySubpix_32s_C3R (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy)
NppStatus | nppiCopySubpix_32s_C4R_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy, NppStreamContext nppStreamCtx)
| 4 channel 32-bit signed integer linearly interpolated source image subpixel coordinate color copy. More...
NppStatus | nppiCopySubpix_32s_C4R (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy)
NppStatus | nppiCopySubpix_32s_AC4R_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy, NppStreamContext nppStreamCtx)
| 4 channel 32-bit signed integer linearly interpolated source image subpixel coordinate color copy with alpha channel unaffected. More...
NppStatus | nppiCopySubpix_32s_AC4R (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy)
NppStatus | nppiCopySubpix_32f_C1R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy, NppStreamContext nppStreamCtx)
| 1 channel 32-bit floating point linearly interpolated source image subpixel coordinate color copy. More...
NppStatus | nppiCopySubpix_32f_C1R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy)
NppStatus | nppiCopySubpix_32f_C3R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy, NppStreamContext nppStreamCtx)
| 3 channel 32-bit floating point linearly interpolated source image subpixel coordinate color copy. More...
NppStatus | nppiCopySubpix_32f_C3R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy)
NppStatus | nppiCopySubpix_32f_C4R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy, NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point linearly interpolated source image subpixel coordinate color copy. More...
NppStatus | nppiCopySubpix_32f_C4R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy)
NppStatus | nppiCopySubpix_32f_AC4R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy, NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point linearly interpolated source image subpixel coordinate color copy with alpha channel unaffected. More...
NppStatus | nppiCopySubpix_32f_AC4R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oDstSizeROI, Npp32f nDx, Npp32f nDy)

## Detailed Description

Functions for copying linearly interpolated images using source image subpixel coordinates.

### Common parameters for nppiCopySubpix functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oDstSizeROI | Size (width, height) of the destination region, i.e. the region that gets filled with data from the source image, source image ROI is assumed to be same as destination image ROI.
  nDx | Fractional part of source image X coordinate.
  nDy | Fractional part of source image Y coordinate.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiCopySubpix_16s_AC4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy
| ) |  |

NppStatus nppiCopySubpix_16s_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit signed integer linearly interpolated source image subpixel coordinate color copy with alpha channel unaffected.

For common parameter descriptions, see Common parameters for nppiCopySubpix functions.

NppStatus nppiCopySubpix_16s_C1R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy
| ) |  |

NppStatus nppiCopySubpix_16s_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit signed integer linearly interpolated source image subpixel coordinate color copy.

For common parameter descriptions, see Common parameters for nppiCopySubpix functions.

NppStatus nppiCopySubpix_16s_C3R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy
| ) |  |

NppStatus nppiCopySubpix_16s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit signed integer linearly interpolated source image subpixel coordinate color copy.

For common parameter descriptions, see Common parameters for nppiCopySubpix functions.

NppStatus nppiCopySubpix_16s_C4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy
| ) |  |

NppStatus nppiCopySubpix_16s_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit signed integer linearly interpolated source image subpixel coordinate color copy.

For common parameter descriptions, see Common parameters for nppiCopySubpix functions.

NppStatus nppiCopySubpix_16u_AC4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy
| ) |  |

NppStatus nppiCopySubpix_16u_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned linearly interpolated source image subpixel coordinate color copy with alpha channel unaffected.

For common parameter descriptions, see Common parameters for nppiCopySubpix functions.

NppStatus nppiCopySubpix_16u_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy
| ) |  |

NppStatus nppiCopySubpix_16u_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit unsigned integer linearly interpolated source image subpixel coordinate color copy.

For common parameter descriptions, see Common parameters for nppiCopySubpix functions.

NppStatus nppiCopySubpix_16u_C3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy
| ) |  |

NppStatus nppiCopySubpix_16u_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit unsigned integer linearly interpolated source image subpixel coordinate color copy.

For common parameter descriptions, see Common parameters for nppiCopySubpix functions.

NppStatus nppiCopySubpix_16u_C4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy
| ) |  |

NppStatus nppiCopySubpix_16u_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned integer linearly interpolated source image subpixel coordinate color copy.

For common parameter descriptions, see Common parameters for nppiCopySubpix functions.

NppStatus nppiCopySubpix_32f_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy
| ) |  |

NppStatus nppiCopySubpix_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point linearly interpolated source image subpixel coordinate color copy with alpha channel unaffected.

For common parameter descriptions, see Common parameters for nppiCopySubpix functions.

NppStatus nppiCopySubpix_32f_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy
| ) |  |

NppStatus nppiCopySubpix_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit floating point linearly interpolated source image subpixel coordinate color copy.

For common parameter descriptions, see Common parameters for nppiCopySubpix functions.

NppStatus nppiCopySubpix_32f_C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy
| ) |  |

NppStatus nppiCopySubpix_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit floating point linearly interpolated source image subpixel coordinate color copy.

For common parameter descriptions, see Common parameters for nppiCopySubpix functions.

NppStatus nppiCopySubpix_32f_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy
| ) |  |

NppStatus nppiCopySubpix_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point linearly interpolated source image subpixel coordinate color copy.

For common parameter descriptions, see Common parameters for nppiCopySubpix functions.

NppStatus nppiCopySubpix_32s_AC4R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy
| ) |  |

NppStatus nppiCopySubpix_32s_AC4R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit signed integer linearly interpolated source image subpixel coordinate color copy with alpha channel unaffected.

For common parameter descriptions, see Common parameters for nppiCopySubpix functions.

NppStatus nppiCopySubpix_32s_C1R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy
| ) |  |

NppStatus nppiCopySubpix_32s_C1R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit signed integer linearly interpolated source image subpixel coordinate color copy.

For common parameter descriptions, see Common parameters for nppiCopySubpix functions.

NppStatus nppiCopySubpix_32s_C3R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy
| ) |  |

NppStatus nppiCopySubpix_32s_C3R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit signed linearly interpolated source image subpixel coordinate color copy.

For common parameter descriptions, see Common parameters for nppiCopySubpix functions.

NppStatus nppiCopySubpix_32s_C4R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy
| ) |  |

NppStatus nppiCopySubpix_32s_C4R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit signed integer linearly interpolated source image subpixel coordinate color copy.

For common parameter descriptions, see Common parameters for nppiCopySubpix functions.

NppStatus nppiCopySubpix_8u_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy
| ) |  |

NppStatus nppiCopySubpix_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned integer linearly interpolated source image subpixel coordinate color copy with alpha channel unaffected.

For common parameter descriptions, see Common parameters for nppiCopySubpix functions.

NppStatus nppiCopySubpix_8u_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy
| ) |  |

NppStatus nppiCopySubpix_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 8-bit unsigned integer linearly interpolated source image subpixel coordinate color copy.

For common parameter descriptions, see Common parameters for nppiCopySubpix functions.

NppStatus nppiCopySubpix_8u_C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy
| ) |  |

NppStatus nppiCopySubpix_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned integer linearly interpolated source image subpixel coordinate color copy.

For common parameter descriptions, see Common parameters for nppiCopySubpix functions.

NppStatus nppiCopySubpix_8u_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy
| ) |  |

NppStatus nppiCopySubpix_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oDstSizeROI,
|  | Npp32f | nDx,
|  | Npp32f | nDy,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned integer linearly interpolated source image subpixel coordinate color copy.

For common parameter descriptions, see Common parameters for nppiCopySubpix functions.

Copyright © 2009-2018 NVIDIA Corporation